IdentificationCriteriaByIdRefImplVersionImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class IdentificationCriteriaByIdRefImplVersionImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.IdentificationCriteriaImpl
  - - tv.amwa.maj.union.impl.IdentificationCriteriaByIdRefImplVersionImpl

- All Implemented Interfaces:
    Serializable, Cloneable, IdentificationCriteria, IdentificationCriteriaByIdRefImplVersion

      public class IdentificationCriteriaByIdRefImplVersionImpl
      extends IdentificationCriteriaImpl
      implements IdentificationCriteriaByIdRefImplVersion, Serializable, Cloneable

  Implementation of a criteria for matching an identification by its reference implementation version, also known as its toolkit version.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentificationCriteriaByIdRefImplVersionImpl(ProductVersion referenceImplementationVersion)` Create an identification criteria by reference implementation version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentificationCriteriaByIdRefImplVersionImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `ProductVersion` | `getReferenceImplementationVersion()` Returns the product version of this identification criteria.
    `int` | `hashCode()`
    `void` | `setReferenceImplementationVersion(ProductVersion referenceImplementationVersion)` Sets the product version of this identification criteria.
    `String` | `toString()` Pseudo-XML representation of this identification criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.IdentificationCriteriaImpl

      `getIdentificationCriteriaType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.IdentificationCriteria

      `getIdentificationCriteriaType`

- - ### Constructor Detail

    - #### IdentificationCriteriaByIdRefImplVersionImpl

          public IdentificationCriteriaByIdRefImplVersionImpl(ProductVersion referenceImplementationVersion)
                                                       throws NullPointerException

      Create an identification criteria by reference implementation version.

      Parameters:
        `referenceImplementationVersion` - Product version of a reference implementation.
      Throws:
        `NullPointerException` - The given product version value is `null`.
      See Also:
        `Identification.getRefImplVersion()`

  - ### Method Detail

    - #### getReferenceImplementationVersion

          public ProductVersion getReferenceImplementationVersion()

      Description copied from interface: `IdentificationCriteriaByIdRefImplVersion`

      Returns the product version of this identification criteria.

      Specified by:
        `getReferenceImplementationVersion` in interface `IdentificationCriteriaByIdRefImplVersion`
      Returns:
        Product version of this identification criteria.

    - #### setReferenceImplementationVersion

          public void setReferenceImplementationVersion(ProductVersion referenceImplementationVersion)
                                                 throws NullPointerException

      Description copied from interface: `IdentificationCriteriaByIdRefImplVersion`

      Sets the product version of this identification criteria.

      Specified by:
        `setReferenceImplementationVersion` in interface `IdentificationCriteriaByIdRefImplVersion`
      Parameters:
        `referenceImplementationVersion` - Product version of this identification criteria.
      Throws:
        `NullPointerException` - The given product version is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Pseudo-XML representation of this identification criteria. No corresponding XML schema or DTD is defined. For example:

           <IdentificationCriteria>
             <ProductVersion>
               <major>1</major>
               <minor>2</minor>
               <tertiary>3</tertiary>
               <patchLevel>4</patchLevel>
               <type>Debug</type>
             </ProductVersion>
           </IdentificationCriteria>

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation of an identification criteria defined by reference implementation version.

    - #### clone

          public IdentificationCriteriaByIdRefImplVersionImpl clone()
                                                             throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.